<?php
class AttendanceStatusconfController extends AppController
{
	var $helpers = array('Html', 'Javascript', 'Ajax','Pagination', 'Lv');
	var $components = array ('Pagination', 'Lv','Check', 'GenerateFiles');
	var $uses=array('Netscanconf','Configure','Validation','Mailaddress','Host','Poll','Validation','Version','Someauth','Authority','Somemod','Module',
				'Workstatus', 'Hstattendance', 'Grpattendconf');
	var $layout='attendance';
	//    var $pageTitle = 'LVシステム管理/全体設定/ライセンス';

	function beforeFilter()
	{
		// $this->Configure->write('debug',0);
		parent::beforeFilter();
		
		$this->pageTitle =__('title',$return = true);
	}
	
	function index()
	{
		$search= $this->requestAction('/attendance_statusconf/mail_set/',array('return'));
		$this->set('search',$search);
		
		$manage= $this->requestAction('/attendance_statusconf/manage/',array('return'));
		$this->set('manage',$manage);
		//$this->render('index');
	}
	
	function manage(){
		$set= $this->Grpattendconf->find("Grpattendconf.id=1");//var_dump($set);
        $this->set('set', $set);
    }
	
	function saveconf(){
		$errorMessage=array();
        $this->layout='ajax';
		
		if($this->data['Grpattendconf']['threshold']==""){
			$errorMessage['alert_depand'][] = 'E-00100';
		}
		else if(!$this->Validation->numeric($this->data['Grpattendconf']['threshold'])){
			$errorMessage['alert_depand'][] = 'E-00600';
		}
		else if($this->data['Grpattendconf']['threshold'] < 1){
			$errorMessage['alert_depand'][] = 'UPE-0001';
		}else{
			$set_update=Array(
				'Grpattendconf' => Array(
				'id' => 1,
				'group_id' => 1,
				'threshold' => $this->data['Grpattendconf']['threshold']*60,
				)
			);
			$this->Grpattendconf->save($set_update);
			$this->Hstattendance->updateAll( array("1=1"), array('Hstattendance.newconf' => 1));
		}

		$this->set('errorMessage', $errorMessage);
	}
	
	function saveconf2(){
		$errorMessage=array();
        $this->layout='ajax';
		
		if($this->data['Grpattendconf']['cycle']==""){
			$errorMessage['alert_depand'][] = 'E-00100';
		}
		else if(!$this->Validation->numeric($this->data['Grpattendconf']['cycle'])){
			$errorMessage['alert_depand'][] = 'E-00600';
		}
		else if($this->data['Grpattendconf']['cycle'] < 1){
			$errorMessage['alert_depand'][] = 'UPE-0001';
		}else{
			$set_update=Array(
				'Grpattendconf' => Array(
				'id' => 1,
				'group_id' => 1,
				'cycle' => $this->data['Grpattendconf']['cycle']*60,
				)
			);
			$this->Grpattendconf->save($set_update);
			$this->Hstattendance->updateAll( array("1=1"), array('Hstattendance.newconf' => 1));
		}
		$this->set('errorMessage', $errorMessage);
		$this->render('saveconf');
	}
	
	function addline($count){
		$this->layout='ajax';
		
		$this->set('myid', $count);
		
		header( 'Expires: Sat, 26 Jul 1997 05:00:00 GMT' );
		header( 'Last-Modified: ' . gmdate( 'D, d M Y H:i:s' ) . ' GMT' );
		header( 'Cache-Control: no-store, no-cache, must-revalidate' );
		header( 'Cache-Control: post-check=0, pre-check=0', false );
		header( 'Pragma: no-cache' );

	}
	
	function mail_set(){
		$this->layout='ajax';

		$confs=$this->Workstatus->findAll(null,null,"showorder asc");

		$this->set('count',count($confs));
		$this->set('confs',$confs);
	}
	
	function set_str_encoding($name)
    {
        $result= mb_convert_encoding($name,__('CharacterSet',$retrun=true),"UTF-8"); 
        return $result;
    } 
	
	//設定更新
	function mail_save(){
		$this->layout='ajax';

		$err= array();
		$errline= array();

//var_dump($this->data);

		$adddatas = array();
		$neworder = 0;
		foreach($this->data as $i => $conf){
			$neworder += 1;
			
			if(is_null($conf['Workstatus']['id']))
				continue;
			$id = $conf['Workstatus']['id'];
			$order = $conf['Workstatus']['showorder'];
			$status_name = $conf['Workstatus']['name'];
			$autoreset = $conf['Workstatus']['autoreset'];
			$backcolor = $conf['Workstatus']['backcolor'];
			$forecolor = $conf['Workstatus']['forecolor'];
			
			//値のチェック
			$valid = true;
			if($this->Validation->blank($status_name)){
				$err['status_name']=__('blank_error',$return = true);
				$valid = false;
			}
			
			if($this->Validation->blank($backcolor)){
				$err['back_color']=__('blank_error',$return = true);
				$valid = false;
			}
			if($this->Validation->blank($forecolor)){
				$err['fore_color']=__('blank_error',$return = true);
				$valid = false;
			}
		
			
			if($valid){
				$user = $this->Session->read('user');
				
				$adddata = Array(
					'id' => $id ,
					'showorder' => $neworder ,
					'name'=> $status_name,
					'autoreset'=> $autoreset,
					'forecolor'=> $forecolor,
					'backcolor'=> $backcolor,
					'update_time' => "'".date("Y/m/d H:i:s")."'",
					'update_user' => "'".$user['user_name']."'"
				);
				if(!is_null($conf['Workstatus']['new']))
					$adddata['regist_user'] = $user['user_name'];
				$adddatas[] = $adddata;
				$errline[$id] = 0;
			}else{
				$errline[$id] = 1;
			}
		}
//var_dump($errline);
		$success="";
		$this->set('errline',$errline);
		if(!empty($err))
		{
			$this->set('err',$err);
		}else{
			$success=__('success',$return = true);
			$delete_mail = "delete from workstatus";
			$this->Workstatus->query($delete_mail);
//var_dump($adddatas);
			//追加
			foreach($adddatas as $add){
				$this->Workstatus->save($add);
			}
			$this->Hstattendance->updateAll( array("1=1"), array('Hstattendance.newconf' => 1));

			//$this->GenerateFiles->hook_by_ps(0, array('netscanschedule'), 1);
		}
		$this->set('success',$success);

	}
}
?>